<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Photoistic
 * @since Photoistic 1.0.0
 */
$options = photoistic_get_theme_options();
?>

<article class="hentry">
	
	<?php if (has_post_thumbnail()): ?>
		<div class="featured-image">
			<a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'large' ) ?>" alt="<?php the_title(); ?>"></a>
		</div>
	<?php endif ?>

	<div class="entry-container">
		<div class="entry-content">
			<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'photoistic' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'photoistic' ),
				'after'  => '</div>',
				) );
				?>
			</div><!-- .entry-content -->
		</div><!-- .entry-container -->

		<div class="entry-meta">
			<?php 

			echo photoistic_author_meta();

			if ( $options['single_post_hide_date'] == false ) :
				photoistic_posted_on(); 
			endif; ?>

			<?php photoistic_entry_footer(); ?> 
		</div><!-- .entry-meta -->
</article>